<footer class="footer bg-white d-flex">
  <div class="fitzroy"></div>
  <div class="container-fluid my-auto">
    <div class="row">
      <div class="col-6 d-flex">
      {%- assign footer_linklist = linklists.footer -%}
      {% if footer_linklist.links.size > 0 %}
        <ul class="list-unstyled list-inline m-0 my-auto footer-menu">
          {% for link in footer_linklist.links %}
            <li class="list-inline-item"><a class="py-1" href="{{ link.url }}">{{ link.title }}</a></li>
          {% endfor %}
        </ul>
      {% endif %}
      </div>
      <div class="col-6 d-flex justify-content-end">
        <ul class="list-unstyled list-inline m-0 d-flex footer-social">
          {%- assign social_accounts = 'Facebook, Twitter, Pinterest, Instagram, Snapchat, YouTube, Vimeo' | split: ', ' -%}
          {% for social in social_accounts %}
            {%- assign social_handle = social | handleize -%}
            {% capture social_link %}social_{{ social_handle }}_link{% endcapture %}
            {% if settings[social_link] != blank %}
              <li class="align-self-center list-inline-item">
                <a href="{{ settings[social_link] }}" class="rounded-circle py-1 d-inline-block text-center"><i class="fa fa-{{ social | downcase }}"></i></a>
              </li>
            {% endif %}
          {% endfor %}
            <li class="align-self-center list-inline-item ml-4">
              <form class="form-inline">
                <input class="form-control rounded-0 form-control_icon form-control_newsletter w-100" type="text" placeholder="{{ 'general.footer.newsletter' | t }}">
                <button type="submit" class="btn btn-link rounded-0">
                  <i class="fa fa-angle-right"></i>
                </button>
              </form>
            </li>
        </ul>
      </div>
    </div>
  </div>
</footer> 


{% schema %}
  {
    "name": "Footer",
    "class": "footer-wrapper",
    "settings": [
      {
        "type": "link_list",
        "id": "footer_linklist",
        "label": "First menu",
        "default": "footer"
      }
    ]
  }

{% endschema %}
